Debian Bug report logs - #619530
ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch

version graph

Package: ffmpeg; Maintainer for ffmpeg is Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for ffmpeg is src:libav.

Reported by: Faheem Mitha <faheem@email.unc.edu>

Date: Thu, 24 Mar 2011 19:00:02 UTC

Severity: minor

Found in version ffmpeg/4:0.6.1-5

Fixed in version libav/4:0.8~beta2-1

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Thu, 24 Mar 2011 19:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
New Bug report received and forwarded. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 24 Mar 2011 19:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Fri, 25 Mar 2011 00:16:54 +0530
Package: ffmpeg
Version: 4:0.6.1-5
Severity: minor


Hi,

I backported ffmpeg 4:0.6.1-5 from unstable to squeeze. On running it,
I see the following warning

WARNING: library configuration mismatch

inter alia. The complete output of ffmpeg is given below. I don't know
if the version on unstable has the same problem, and I don't have an
unstable installation handy right now to test with. However, if it
does not, that makes me wonder why it should show up in a backport.

                                                       Regards, Faheem

*****************************************************************************

FFmpeg version 0.6.1-4:0.6.1-5, Copyright (c) 2000-2010 the FFmpeg developers
  built on Mar 24 2011 17:36:33 with gcc 4.4.5

configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --enable-shared --disable-static

WARNING: library configuration mismatch

libavutil configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libavcodec configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libavformat configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libavdevice configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libavfilter configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libswscale configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libpostproc configuration: --extra-version=4:0.6.1-5 --prefix=/usr
--enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib
--enable-libgsm --enable-libschroedinger --enable-libspeex
--enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib
--enable-libvpx --disable-stripping --enable-runtime-cpudetect
--enable-vaapi --enable-libopenjpeg --enable-gpl --enable-postproc
--enable-x11grab --enable-libdirac --enable-libfaad --enable-librtmp
--enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686
--enable-shared --disable-static --disable-ffmpeg --disable-ffplay

libavutil     50.15. 1 / 50.15. 1
  libavcodec    52.72. 2 / 52.72. 2
  libavformat   52.64. 2 / 52.64. 2
  libavdevice   52. 2. 0 / 52. 2. 0
  libavfilter    1.19. 0 /  1.19. 0
  libswscale     0.11. 0 /  0.11. 0
  libpostproc   51. 2. 0 / 51. 2. 0
Use -h to get full help or, even better, run 'man ffmpeg'
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

-- System Information:
Debian Release: 6.0.1
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-vserver-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ffmpeg depends on:
ii  libavcodec52                  4:0.6.1-5  FFmpeg codec library
ii  libavdevice52                 4:0.6.1-5  FFmpeg device handling library
ii  libavfilter1                  4:0.6.1-5  FFmpeg video filtering library
ii  libavformat52                 4:0.6.1-5  FFmpeg file format library
ii  libavutil50                   4:0.6.1-5  FFmpeg utility library
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  libpostproc51                 4:0.6.1-5  FFmpeg video postprocessing librar
ii  libsdl1.2debian               1.2.14-6.1 Simple DirectMedia Layer
ii  libswscale0                   4:0.6.1-5  FFmpeg video scaling library

ffmpeg recommends no packages.

ffmpeg suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Thu, 24 Mar 2011 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 24 Mar 2011 19:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: 619530@bugs.debian.org
Subject: Re: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Fri, 25 Mar 2011 01:15:44 +0530 (IST)

On Fri, 25 Mar 2011, Faheem Mitha wrote:

> Package: ffmpeg
> Version: 4:0.6.1-5
> Severity: minor

> Hi,
>
> I backported ffmpeg 4:0.6.1-5 from unstable to squeeze. On running it,
> I see the following warning

> WARNING: library configuration mismatch

> inter alia. The complete output of ffmpeg is given below. I don't know 
> if the version on unstable has the same problem, and I don't have an 
> unstable installation handy right now to test with. However, if it does 
> not, that makes me wonder why it should show up in a backport.

I just installed the unstable version directly on squeeze. I get the same 
WARNING message.

                                                          Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 07:24:07 GMT) Full text and rfc822 format available.

Message #15 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 09:10:46 +0200
Am 24.03.2011 19:46, schrieb Faheem Mitha:
> I backported ffmpeg 4:0.6.1-5 from unstable to squeeze. On running it,
> I see the following warning

This requires quite a few steps. Could you please elaborate what 
exactly you did? Do you still have other or older ffmpeg library 
packages installed (i.e. what gives 'dpkg -l libav\*')?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 09:18:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 09:18:53 GMT) Full text and rfc822 format available.

Message #20 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 11:17:30 +0200
Am 28.03.2011 11:10, schrieb Faheem Mitha:
> ii libavcodec0d 0.cvs20060823-8 ffmpeg codec library
> rc libavcodec51 3:20080706-0.3lenny2 library to encode decode
> rc libavcodeccvs51 3:20070329-0.0etch1 library to encode decode
> ii libavformat0d 0.cvs20060823-8 ffmpeg file format library
> rc libavformatcvs51 3:20070329-0.0etch1 ffmpeg file format library
> ii libavutil49 4:0.5.2-6 ffmpeg utility library
> rc libavutilcvs49 3:20070329-0.0etch1 avutil shared libraries

As a first step, please remove the packages in the lines starting with 
"ii" above. For the others, I think "rc" means "removed but not 
purged", but I am not sure. Purging them won't hurt, though.

Please do also check the list for libswscale\* and libpostproc\*.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 09:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 14:40:15 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 24.03.2011 19:46, schrieb Faheem Mitha:

>> I backported ffmpeg 4:0.6.1-5 from unstable to squeeze. On running it, 
>> I see the following warning

> This requires quite a few steps. Could you please elaborate what
> exactly you did? Do you still have other or older ffmpeg library
> packages installed (i.e.  what gives 'dpkg -l libav\*')?

Forgetting about the backport, this is still reproducible if I just 
install packages directly from unstable, which is what I currently have 
installed. Squeeze and unstable are apparently close enough that this does 
not pull in any additional dependencies other than the packages from the 
ffmpeg source package. Pretty much everything below with version number is 
4:0.6.1-5 is from unstable, I think.

Of course, it is entirely possible I screwed up when switching from my 
locally compiled packages to the packages in unstable.

If you want me to give you information about my backport of the ffmpeg 
packages I built from the unstable ffmpeg source, I'd have to do it over, 
because I don't remember the details, but it was comparatively 
straightforward.

Can you tell me if this problem shows up on unstable? If not, it is just a 
problem at my end, and, frankly I'd expect you to close this immediately. 
:-)

Output given below.

# dpkg -l libav\*

Question: is there an easy way to obtain a list like below, but with
the origin of the packages?

                                                     Regards, Faheem

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                 Version                              Description
+++-====================================-====================================-========================================================================================
ii  libavahi-client-dev                  0.6.27-2+squeeze1                    Development files for the Avahi client library
ii  libavahi-client3                     0.6.27-2+squeeze1                    Avahi client library
ii  libavahi-common-data                 0.6.27-2+squeeze1                    Avahi common data files
ii  libavahi-common-dev                  0.6.27-2+squeeze1                    Development files for the Avahi common library
ii  libavahi-common3                     0.6.27-2+squeeze1                    Avahi common library
ii  libavahi-compat-libdnssd1            0.6.27-2+squeeze1                    Avahi Apple Bonjour compatibility library
un  libavahi-core3                       <none>                               (no description available)
rc  libavahi-core5                       0.6.23-3lenny2                       Avahi's embeddable mDNS/DNS-SD library
ii  libavahi-core7                       0.6.27-2+squeeze1                    Avahi's embeddable mDNS/DNS-SD library
ii  libavahi-glib1                       0.6.27-2+squeeze1                    Avahi glib integration library
ii  libavahi-gobject0                    0.6.27-2+squeeze1                    Avahi GObject library
ii  libavahi-qt3-1                       0.6.27-2+squeeze1                    Avahi Qt 3 integration library
ii  libavalon-framework-java             4.2.0-7                              Common framework for Java server applications
un  libavalon-framework-java-doc         <none>                               (no description available)
ii  libavc1394-0                         0.5.3-1+b2                           control IEEE 1394 audio/video devices
ii  libavcodec-dev                       4:0.6.1-5                            Development files for libavcodec
un  libavcodec-extra-52                  <none>                               (no description available)
un  libavcodec-unstripped-51             <none>                               (no description available)
ii  libavcodec0d                         0.cvs20060823-8                      ffmpeg codec library
rc  libavcodec51                         3:20080706-0.3lenny2                 library to encode decode multimedia streams - runtime files
ii  libavcodec52                         4:0.6.1-5                            FFmpeg codec library
rc  libavcodeccvs51                      3:20070329-0.0etch1                  library to encode decode multimedia streams - runtime files
un  libavcore0                           <none>                               (no description available)
un  libavdevice-dev                      <none>                               (no description available)
un  libavdevice-extra-52                 <none>                               (no description available)
ii  libavdevice52                        4:0.6.1-5                            FFmpeg device handling library
un  libavfilter-dev                      <none>                               (no description available)
un  libavfilter-extra-1                  <none>                               (no description available)
un  libavfilter0                         <none>                               (no description available)
ii  libavfilter1                         4:0.6.1-5                            FFmpeg video filtering library
un  libavformat-dev                      <none>                               (no description available)
un  libavformat-extra-52                 <none>                               (no description available)
ii  libavformat0d                        0.cvs20060823-8                      ffmpeg file format library
ii  libavformat52                        4:0.6.1-5                            FFmpeg file format library
un  libavformatcvs                       <none>                               (no description available)
rc  libavformatcvs51                     3:20070329-0.0etch1                  ffmpeg file format library
un  libavifile-0.7c2                     <none>                               (no description available)
ii  libavutil-dev                        4:0.6.1-5                            Development files for libavutil
un  libavutil-extra-49                   <none>                               (no description available)
un  libavutil-extra-50                   <none>                               (no description available)
ii  libavutil49                          4:0.5.2-6                            ffmpeg utility library
ii  libavutil50                          4:0.6.1-5                            FFmpeg utility library
rc  libavutilcvs49                       3:20070329-0.0etch1                  avutil shared libraries




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 09:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 09:42:05 GMT) Full text and rfc822 format available.

Message #30 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 15:09:06 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 28.03.2011 11:10, schrieb Faheem Mitha:
>> ii libavcodec0d 0.cvs20060823-8 ffmpeg codec library
>> rc libavcodec51 3:20080706-0.3lenny2 library to encode decode
>> rc libavcodeccvs51 3:20070329-0.0etch1 library to encode decode
>> ii libavformat0d 0.cvs20060823-8 ffmpeg file format library
>> rc libavformatcvs51 3:20070329-0.0etch1 ffmpeg file format library
>> ii libavutil49 4:0.5.2-6 ffmpeg utility library
>> rc libavutilcvs49 3:20070329-0.0etch1 avutil shared libraries

> As a first step, please remove the packages in the lines starting with 
> "ii" above. For the others, I think "rc" means "removed but not purged", 
> but I am not sure.

That is correct.

> Purging them won't hurt, though.

Removing the packages listed above does not change the

WARNING: library configuration mismatch

> Please do also check the list for libswscale\* and libpostproc\*.

See below. You didn't say whether this problem is reproducible in stable.

                                                                  Faheem

# dpkg -l libswscale\*
||/ Name                                 Version                              Description
+++-====================================-====================================-========================================================================================
un  libswscale-dev                       <none>                               (no description available)
un  libswscale-extra-0                   <none>                               (no description available)
ii  libswscale0                          4:0.6.1-5                            FFmpeg video scaling library

# dpkg -l libpostproc\*
||/ Name                                 Version                              Description
+++-====================================-====================================-========================================================================================
un  libpostproc-dev                      <none>                               (no description available)
un  libpostproc-extra-51                 <none>                               (no description available)
un  libpostproc0                         <none>                               (no description available)
ii  libpostproc0d                        0.cvs20060823-8                      ffmpeg video postprocessing library
ii  libpostproc51                        4:0.6.1-5                            FFmpeg video postprocessing library
rc  libpostproccvs51                     3:20070329-0.0etch1                  postproc shared libraries




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 09:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 09:51:16 GMT) Full text and rfc822 format available.

Message #35 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 11:48:10 +0200
Am 28.03.2011 11:39, schrieb Faheem Mitha:
> Removing the packages listed above does not change the
> WARNING: library configuration mismatch

Which version of the ffmpeg frontend do you use?

Does this error message only appear when you run the ffmpeg binary? Do 
you run the one installed on the system or from your build tree?

> See below. You didn't say whether this problem is reproducible in stable.

I don't know. I do not have Debian stable running anywhere and I would 
not install software from unstable as a plain drop-in replacement, either.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:06:03 GMT) Full text and rfc822 format available.

Message #40 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 15:33:21 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 28.03.2011 11:39, schrieb Faheem Mitha:
>> Removing the packages listed above does not change the
>> WARNING: library configuration mismatch
>
> Which version of the ffmpeg frontend do you use?

Just ffmpeg itself.

> Does this error message only appear when you run the ffmpeg binary? Do you 
> run the one installed on the system or from your build tree?

I've only used ffmpeg directly. It shows up every time I run it. I only 
run the version installed on the system.

>> See below. You didn't say whether this problem is reproducible in stable.

I meant reproducible in unstable, sorry. To be clear, I mean does running 
the ffmpeg command in unstable produce this error?

> I don't know. I do not have Debian stable running anywhere and I would not 
> install software from unstable as a plain drop-in replacement, either.

Well, a backport had the same result as stated above. I thought unstable 
packages would be easier to debug.

                                                                     Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Reinhard Tartler <siretart@tauware.de>
Cc: 619530@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 15:43:49 +0530 (IST)

On Mon, 28 Mar 2011, Reinhard Tartler wrote:

> On Mon, Mar 28, 2011 at 11:39:06 (CEST), Faheem Mitha wrote:
>> WARNING: library configuration mismatch
>
> Please note that this is just a warning. It also happens in ubuntu when
> one installs the libavcodec-extra-52 package.

Hmm. I'm still getting the error here, but libavcodec-extra-52 is not 
installed.

> TBH, I'm considering applying a distro patch that just disables this
> error message, as its not much of use for Debian and Ubuntu.

According to the ffmpeg developers, this reflects a mismatch of versions. 
Assuming they are correct, and this is not just blowing smoke, then my 
feeling is that this is caused by insufficiently tight package 
dependencies, so my suggestion would be to track it down, though this 
would probably be a comparatively difficult and thankless task even if 
successful.

It is unfortunate that the warning gives no real indication of where the 
problem lies.

I don't know if disabling the warning is such a great idea, see as it can, 
possibly, reflect underlying problems.

                                                          Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 619530@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 12:16:57 +0200
On Mon, Mar 28, 2011 at 12:13:49 (CEST), Faheem Mitha wrote:

> On Mon, 28 Mar 2011, Reinhard Tartler wrote:
>
>> On Mon, Mar 28, 2011 at 11:39:06 (CEST), Faheem Mitha wrote:
>>> WARNING: library configuration mismatch
>>
>> Please note that this is just a warning. It also happens in ubuntu when
>> one installs the libavcodec-extra-52 package.
>
> Hmm. I'm still getting the error here, but libavcodec-extra-52 is not
> installed.

That's because there is no libavcodec-extra-52 package in Debian (yet).

>> TBH, I'm considering applying a distro patch that just disables this
>> error message, as its not much of use for Debian and Ubuntu.
>
> According to the ffmpeg developers, this reflects a mismatch of
> versions. Assuming they are correct, and this is not just blowing smoke,
> then my feeling is that this is caused by insufficiently tight package
> dependencies, so my suggestion would be to track it down, though this
> would probably be a comparatively difficult and thankless task even if
> successful.

Well, that's right, but I still strongly assume it's a local
configuration error and not a serious problem in the package itself.

> It is unfortunate that the warning gives no real indication of where the
> problem lies.

I think the error message is perfectly clear. Espc. if you read the code
around it.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:18:06 GMT) Full text and rfc822 format available.

Message #55 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: Reinhard Tartler <siretart@tauware.de>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 12:17:47 +0200
Am 28.03.2011 12:13, schrieb Faheem Mitha:
> According to the ffmpeg developers, this reflects a mismatch of
> versions. Assuming they are correct, and this is not just blowing
> smoke, then my feeling is that this is caused by insufficiently tight
> package dependencies, so my suggestion would be to track it down,
> though this would probably be a comparatively difficult and thankless
> task even if successful.

This warning does not occur on a clean Debian unstable system, so it 
is clearly caused by a version mismatch on your system. If you have 
already removed all obsolete library packages that are not version 
4:0.6.1-5, as I told you, I do not have any idea what else could cause 
this warning.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:36:04 GMT) Full text and rfc822 format available.

Message #60 received at 619530@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: Fabian Greffrath <fabian@greffrath.com>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 12:33:38 +0200
On Mon, Mar 28, 2011 at 12:25:23 (CEST), Faheem Mitha wrote:

> On Mon, 28 Mar 2011, Fabian Greffrath wrote:
>
>> Am 28.03.2011 12:13, schrieb Faheem Mitha:
>>> According to the ffmpeg developers, this reflects a mismatch of
>>> versions. Assuming they are correct, and this is not just blowing
>>> smoke, then my feeling is that this is caused by insufficiently tight
>>> package dependencies, so my suggestion would be to track it down,
>>> though this would probably be a comparatively difficult and thankless
>>> task even if successful.
>>
>> This warning does not occur on a clean Debian unstable system, so it
>> is clearly caused by a version mismatch on your system. If you have
>> already removed all obsolete library packages that are not version
>> 4:0.6.1-5, as I told you, I do not have any idea what else could cause
>> this warning.
>
> Yes, I've removed all packages you told me to remove.
>
> In that case, feel free to close the bug. I still think the version
> mismatch should not occur with sufficiently tight dependencies, but I
> also don't think it would be time usefully spent to try to track it
> down. Sorry for the noise.

I'd prefer to use this bug for tracking my proposed change to disable
the warning and close it when the package with this change enters Debian
automatically.


-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:39:03 GMT) Full text and rfc822 format available.

Message #65 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Reinhard Tartler <siretart@tauware.de>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 15:55:23 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 28.03.2011 12:13, schrieb Faheem Mitha:
>> According to the ffmpeg developers, this reflects a mismatch of
>> versions. Assuming they are correct, and this is not just blowing
>> smoke, then my feeling is that this is caused by insufficiently tight
>> package dependencies, so my suggestion would be to track it down,
>> though this would probably be a comparatively difficult and thankless
>> task even if successful.
>
> This warning does not occur on a clean Debian unstable system, so it is 
> clearly caused by a version mismatch on your system. If you have already 
> removed all obsolete library packages that are not version 4:0.6.1-5, as I 
> told you, I do not have any idea what else could cause this warning.

Yes, I've removed all packages you told me to remove.

In that case, feel free to close the bug. I still think the version 
mismatch should not occur with sufficiently tight dependencies, but I also 
don't think it would be time usefully spent to try to track it down. Sorry 
for the noise.

                                                           Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Message #70 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Reinhard Tartler <siretart@tauware.de>
Cc: Fabian Greffrath <fabian@greffrath.com>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 16:09:45 +0530 (IST)

On Mon, 28 Mar 2011, Reinhard Tartler wrote:

> I'd prefer to use this bug for tracking my proposed change to disable 
> the warning and close it when the package with this change enters Debian 
> automatically.

Well, as long as you're sure disabling the bug won't mask real problems. 
How do the ffmpeg developers feel about it?

                                                        Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #75 received at 619530@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 12:02:24 +0200
On Mon, Mar 28, 2011 at 11:39:06 (CEST), Faheem Mitha wrote:
> WARNING: library configuration mismatch

Please note that this is just a warning. It also happens in ubuntu when
one installs the libavcodec-extra-52 package.

TBH, I'm considering applying a distro patch that just disables this
error message, as its not much of use for Debian and Ubuntu.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 10:57:03 GMT) Full text and rfc822 format available.

Message #80 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: Reinhard Tartler <siretart@tauware.de>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 12:53:36 +0200
Am 28.03.2011 12:39, schrieb Faheem Mitha:
> Well, as long as you're sure disabling the bug won't mask real
> problems. How do the ffmpeg developers feel about it?

I still don't understand how this warning could occur on your system 
in the first place if all libraries are installed from the same 
source, i.e. unstable. You really didn't rebuild anything yourself?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 11:09:06 GMT) Full text and rfc822 format available.

Message #85 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 619530@bugs.debian.org
Cc: Faheem Mitha <faheem@email.unc.edu>, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 13:09:01 +0200
Am 28.03.2011 12:53, schrieb Fabian Greffrath:
> I still don't understand how this warning could occur on your system
> in the first place if all libraries are installed from the same
> source, i.e. unstable. You really didn't rebuild anything yourself?

Sorry, I was wrong! I see this in unstable as well, I just didn't find 
the warning itself in the very verbose output of the library 
configurations (mis-interpreted this as a normal output).

It seems the culprit is that the shared library build is configured 
with additional "--disable-ffmpeg --disable-ffplay" flags, whereas the 
ffmpeg frontend obviously isn't. These two flags are common to all 
arch-optimized library builds, so it is quite expected that the 
frontend and the shared library (that the dynamic linker chose to link 
against) differ in their configuration. It is, however, IMHO pointless 
to explicitely point this fact out whenever the frontend is run, so I 
agree with Reinhard that this "feature" should be disabled on systems 
which allow for combinations of regular frontend and optimized shared 
libraries.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 11:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 11:21:06 GMT) Full text and rfc822 format available.

Message #90 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 619530@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 16:48:12 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 28.03.2011 12:53, schrieb Fabian Greffrath:
>> I still don't understand how this warning could occur on your system
>> in the first place if all libraries are installed from the same
>> source, i.e. unstable. You really didn't rebuild anything yourself?
>
> Sorry, I was wrong! I see this in unstable as well, I just didn't find the 
> warning itself in the very verbose output of the library configurations 
> (mis-interpreted this as a normal output).

That "very verbose output" is part of the warning. :-)

> It seems the culprit is that the shared library build is configured with 
> additional "--disable-ffmpeg --disable-ffplay" flags, whereas the ffmpeg 
> frontend obviously isn't. These two flags are common to all arch-optimized 
> library builds, so it is quite expected that the frontend and the shared 
> library (that the dynamic linker chose to link against) differ in their 
> configuration. It is, however, IMHO pointless to explicitely point this fact 
> out whenever the frontend is run, so I agree with Reinhard that this 
> "feature" should be disabled on systems which allow for combinations of 
> regular frontend and optimized shared libraries.

Hmm. Did you confirm this was the problem by changing the config flags?

If so, perhaps point out to the ffmpeg people that their warning is (at 
least in some cases) a red herring (alternatively, produces a false 
positive), and ask if it could be made more intelligent.

I am sorry I did not have an unstable installation handy, as then I could 
have provided a better bug report. Maybe I'll do a virtualbox unstable 
installation, or make an unstable chroot or upgrade one of my vserver 
installations.

                                                          Regards. Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 11:27:03 GMT) Full text and rfc822 format available.

Message #95 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 13:25:53 +0200
Am 28.03.2011 13:18, schrieb Faheem Mitha:
> That "very verbose output" is part of the warning. :-)

Yes, but you omitted it from your initial mail, which didn't make it 
easier to find. ;)

> Hmm. Did you confirm this was the problem by changing the config flags?

Yes, the culprit is that the ffmpeg frontend and the optimized shared 
libraries are build with different configuration flags, which is quite 
reasonable and obvious in this case.

> If so, perhaps point out to the ffmpeg people that their warning is
> (at least in some cases) a red herring (alternatively, produces a
> false positive), and ask if it could be made more intelligent.

The warning is only printed if the configurations differ. It does not 
tell anything different, nor does it try to guess or suggest what may 
be the cause of this. so again, I agree with siretart that on systems 
that support differently configured shared libraries to work with the 
same backend, this warning should be disabled, because it is a red 
herring and does not add anything insightful.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 11:57:03 GMT) Full text and rfc822 format available.

Message #100 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 619530@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 17:24:12 +0530 (IST)

On Mon, 28 Mar 2011, Fabian Greffrath wrote:

> Am 28.03.2011 13:18, schrieb Faheem Mitha:
>> That "very verbose output" is part of the warning. :-)
>
> Yes, but you omitted it from your initial mail, which didn't make it easier 
> to find. ;)

No I didn't. Look again. It is all there. I wouldn't truncate such a 
warning. I said

"I backported ffmpeg 4:0.6.1-5 from unstable to squeeze. On running it,
I see the following warning

WARNING: library configuration mismatch

inter alia. The complete output of ffmpeg is given below."...

The complete output then follows. :-)

>> Hmm. Did you confirm this was the problem by changing the config flags?

> Yes, the culprit is that the ffmpeg frontend and the optimized shared 
> libraries are build with different configuration flags, which is quite 
> reasonable and obvious in this case.
>
>> If so, perhaps point out to the ffmpeg people that their warning is
>> (at least in some cases) a red herring (alternatively, produces a
>> false positive), and ask if it could be made more intelligent.
>
> The warning is only printed if the configurations differ. It does not tell 
> anything different, nor does it try to guess or suggest what may be the cause 
> of this. so again, I agree with siretart that on systems that support 
> differently configured shared libraries to work with the same backend, this 
> warning should be disabled, because it is a red herring and does not add 
> anything insightful.

Ok. So pointing this out to the ffmpeg people is a waste of time, in your 
opinion?

                                                          Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 12:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 12:00:17 GMT) Full text and rfc822 format available.

Message #105 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 619530@bugs.debian.org, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 13:57:20 +0200
Am 28.03.2011 13:54, schrieb Faheem Mitha:
> No I didn't. Look again. It is all there. I wouldn't truncate such a
> warning. I said

My fault, sorry. I am tired today. ;)

> Ok. So pointing this out to the ffmpeg people is a waste of time, in
> your opinion?

siretart is already one of the ffmpeg (i.e. libav) people. :)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 12:00:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 12:00:19 GMT) Full text and rfc822 format available.

Message #110 received at 619530@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: Fabian Greffrath <fabian@greffrath.com>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 13:58:07 +0200
On Mon, Mar 28, 2011 at 13:54:12 (CEST), Faheem Mitha wrote:

>>> If so, perhaps point out to the ffmpeg people that their warning is
>>> (at least in some cases) a red herring (alternatively, produces a
>>> false positive), and ask if it could be made more intelligent.
>>
>> The warning is only printed if the configurations differ. It does not
>> tell anything different, nor does it try to guess or suggest what may
>> be the cause of this. so again, I agree with siretart that on systems
>> that support differently configured shared libraries to work with the
>> same backend, this warning should be disabled, because it is a red
>> herring and does not add anything insightful.
>
> Ok. So pointing this out to the ffmpeg people is a waste of time, in
> your opinion?

If it assures you, I'm Upstream Release Manager for both Libav and
FFmpeg  :-)

I'm happy that Fabian agrees with me. I'll see if I can propose some
configure switch for 0.7, but TBH, the trick with building the libraries
in different flavors is a very Debian specific trick that cannot be
upstreamed easily. Nor am I convinced that this should go upstream.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Mon, 28 Mar 2011 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 Mar 2011 12:18:05 GMT) Full text and rfc822 format available.

Message #115 received at 619530@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Reinhard Tartler <siretart@tauware.de>
Cc: Fabian Greffrath <fabian@greffrath.com>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Mon, 28 Mar 2011 17:45:59 +0530 (IST)

On Mon, 28 Mar 2011, Reinhard Tartler wrote:

> On Mon, Mar 28, 2011 at 13:54:12 (CEST), Faheem Mitha wrote:
>
>>>> If so, perhaps point out to the ffmpeg people that their warning is
>>>> (at least in some cases) a red herring (alternatively, produces a
>>>> false positive), and ask if it could be made more intelligent.
>>>
>>> The warning is only printed if the configurations differ. It does not
>>> tell anything different, nor does it try to guess or suggest what may
>>> be the cause of this. so again, I agree with siretart that on systems
>>> that support differently configured shared libraries to work with the
>>> same backend, this warning should be disabled, because it is a red
>>> herring and does not add anything insightful.

>> Ok. So pointing this out to the ffmpeg people is a waste of time, in 
>> your opinion?

> If it assures you, I'm Upstream Release Manager for both Libav and
> FFmpeg  :-)

Ok, no offense intended. I just feel more comfortable with upstream's 
blessing. Thank you and thank you to Fabian for your patience with this 
bug report.

> I'm happy that Fabian agrees with me. I'll see if I can propose some 
> configure switch for 0.7, but TBH, the trick with building the libraries 
> in different flavors is a very Debian specific trick that cannot be 
> upstreamed easily. Nor am I convinced that this should go upstream.

Ok.
                                                       Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#619530; Package ffmpeg. (Tue, 29 Mar 2011 12:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 29 Mar 2011 12:18:08 GMT) Full text and rfc822 format available.

Message #120 received at 619530@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@tauware.de>
Cc: Faheem Mitha <faheem@email.unc.edu>, 619530@bugs.debian.org
Subject: Re: Bug#619530: ffmpeg: backport of 4:0.6.1-5 from unstable produces WARNING: library configuration mismatch
Date: Tue, 29 Mar 2011 14:16:29 +0200
Am 28.03.2011 13:58, schrieb Reinhard Tartler:
> I'm happy that Fabian agrees with me. I'll see if I can propose some
> configure switch for 0.7, but TBH, the trick with building the libraries
> in different flavors is a very Debian specific trick that cannot be
> upstreamed easily. Nor am I convinced that this should go upstream.

Maybe av_log(NULL, AV_LOG_VERBOSE, ...) should be used here instead of 
plain fprintf(stderr, ...)?




Added tag(s) pending. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 05 Jan 2012 21:42:14 GMT) Full text and rfc822 format available.

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Thu, 12 Jan 2012 20:51:11 GMT) Full text and rfc822 format available.

Notification sent to Faheem Mitha <faheem@email.unc.edu>:
Bug acknowledged by developer. (Thu, 12 Jan 2012 20:51:11 GMT) Full text and rfc822 format available.

Message #127 received at 619530-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 619530-close@bugs.debian.org
Subject: Bug#619530: fixed in libav 4:0.8~beta2-1
Date: Thu, 12 Jan 2012 20:47:41 +0000
Source: libav
Source-Version: 4:0.8~beta2-1

We believe that the bug you reported is fixed in the latest version of
libav, which is due to be installed in the Debian FTP archive:

ffmpeg-dbg_0.8~beta2-1_amd64.deb
  to main/liba/libav/ffmpeg-dbg_0.8~beta2-1_amd64.deb
ffmpeg-doc_0.8~beta2-1_all.deb
  to main/liba/libav/ffmpeg-doc_0.8~beta2-1_all.deb
ffmpeg_0.8~beta2-1_all.deb
  to main/liba/libav/ffmpeg_0.8~beta2-1_all.deb
libav-dbg_0.8~beta2-1_amd64.deb
  to main/liba/libav/libav-dbg_0.8~beta2-1_amd64.deb
libav-doc_0.8~beta2-1_all.deb
  to main/liba/libav/libav-doc_0.8~beta2-1_all.deb
libav-source_0.8~beta2-1_all.deb
  to main/liba/libav/libav-source_0.8~beta2-1_all.deb
libav-tools_0.8~beta2-1_amd64.deb
  to main/liba/libav/libav-tools_0.8~beta2-1_amd64.deb
libav_0.8~beta2-1.debian.tar.gz
  to main/liba/libav/libav_0.8~beta2-1.debian.tar.gz
libav_0.8~beta2-1.dsc
  to main/liba/libav/libav_0.8~beta2-1.dsc
libav_0.8~beta2.orig.tar.gz
  to main/liba/libav/libav_0.8~beta2.orig.tar.gz
libavcodec-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavcodec-dev_0.8~beta2-1_amd64.deb
libavcodec53_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavcodec53_0.8~beta2-1_amd64.deb
libavdevice-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavdevice-dev_0.8~beta2-1_amd64.deb
libavdevice53_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavdevice53_0.8~beta2-1_amd64.deb
libavfilter-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavfilter-dev_0.8~beta2-1_amd64.deb
libavfilter2_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavfilter2_0.8~beta2-1_amd64.deb
libavformat-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavformat-dev_0.8~beta2-1_amd64.deb
libavformat53_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavformat53_0.8~beta2-1_amd64.deb
libavutil-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavutil-dev_0.8~beta2-1_amd64.deb
libavutil51_0.8~beta2-1_amd64.deb
  to main/liba/libav/libavutil51_0.8~beta2-1_amd64.deb
libpostproc-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libpostproc-dev_0.8~beta2-1_amd64.deb
libpostproc52_0.8~beta2-1_amd64.deb
  to main/liba/libav/libpostproc52_0.8~beta2-1_amd64.deb
libswscale-dev_0.8~beta2-1_amd64.deb
  to main/liba/libav/libswscale-dev_0.8~beta2-1_amd64.deb
libswscale2_0.8~beta2-1_amd64.deb
  to main/liba/libav/libswscale2_0.8~beta2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated libav package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Jan 2012 16:45:28 +0100
Source: libav
Binary: libav-tools ffmpeg ffmpeg-dbg libav-dbg libav-source ffmpeg-doc libav-doc libavutil51 libavcodec53 libavdevice53 libavformat53 libavfilter2 libpostproc52 libswscale2 libavutil-dev libavcodec-dev libavdevice-dev libavformat-dev libavfilter-dev libpostproc-dev libswscale-dev
Architecture: source amd64 all
Version: 4:0.8~beta2-1
Distribution: unstable
Urgency: low
Maintainer: Reinhard Tartler <siretart@debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 ffmpeg     - Multimedia player, server, encoder and transcoder (transitional p
 ffmpeg-dbg - Debug symbols for Libav related packages
 ffmpeg-doc - Documentation of the Libav API (transitional package)
 libav-dbg  - Debug symbols for Libav related packages
 libav-doc  - Documentation of the Libav API
 libav-source - Patched Libav sources
 libav-tools - Multimedia player, server, encoder and transcoder
 libavcodec-dev - Development files for libavcodec
 libavcodec53 - Libav codec library
 libavdevice-dev - Development files for libavdevice
 libavdevice53 - Libav device handling library
 libavfilter-dev - Development files for libavfilter
 libavfilter2 - Libav video filtering library
 libavformat-dev - Development files for libavformat
 libavformat53 - Libav file format library
 libavutil-dev - Development files for libavutil
 libavutil51 - Libav utility library
 libpostproc-dev - Development files for libpostproc
 libpostproc52 - Libav video postprocessing library
 libswscale-dev - Development files for libswscale
 libswscale2 - Libav video scaling library
Closes: 619530 647824 654303 654534 654571 654572 654573 654984
Changes: 
 libav (4:0.8~beta2-1) unstable; urgency=low
 .
   * New Upstream version 0.8~beta2:
     - Confirm that this release does not inhibit the following security issues:
       - DoS in MKV demuxer,
         - CVE-2011-3893, Closes: #654572
       - Double free vuln in the Theora decoder,
         - CVE-2011-3892, Closes: #654571
       - heap-based buffer overflow in vorbis decoder:
         - CVE-2011-3895, Closes: #654573
       - Closes: #654534
     - Bug fix: "libswscale crashes when upscaling pictures using
       hyscale_fast2, MMX variant on amd64 with gcc-4.6 and later",
       thanks to Harald Dunkel (Closes: #647824).
     - Clarify that libavutil/avutil.h doesn't include mathematics.h any more in
       APIchanges documentation. Thanks: Jonathan Nieder <jrnieder@gmail.com>,
       Closes: #654303
   * Disable configuration mismatch warnings (Closes: #619530)
   * Rename package libav to libav-tools (Closes: #654984)
   * Refresh patches
Checksums-Sha1: 
 895d5945e28dae737e8932a54fd52b0b2c3b343c 3065 libav_0.8~beta2-1.dsc
 e926345a9881fdcc5bc9a0be6e03797444499dca 5430888 libav_0.8~beta2.orig.tar.gz
 c27f8f73436e07dcdd3fc35e705402457dd694eb 35781 libav_0.8~beta2-1.debian.tar.gz
 e0c69d44406ffb3e53d412b343e080f764176ca9 646636 libav-tools_0.8~beta2-1_amd64.deb
 35a8ac5ef495c9b41beac877123dfc6e1aaa353f 37892 ffmpeg_0.8~beta2-1_all.deb
 40136cf7d2928c438c59268b6b065f69edad6f9f 37964 ffmpeg-dbg_0.8~beta2-1_amd64.deb
 577e4c53230fa61de189aa582daf42e4f57c9e97 9963088 libav-dbg_0.8~beta2-1_amd64.deb
 5254cbc7212387ec21123e3d48c5f7418ed08945 27359424 libav-source_0.8~beta2-1_all.deb
 11d81d90d1090b2dd2dec9b5b2e7838f8199faf8 37930 ffmpeg-doc_0.8~beta2-1_all.deb
 0d8eee066229a00f974f5dc157704bae4d47271d 21635254 libav-doc_0.8~beta2-1_all.deb
 92af6fed0da190f74f7ab5f96cb80a8a4e4618ae 95250 libavutil51_0.8~beta2-1_amd64.deb
 459b4eea14dd4d6289a540932a2eae04329a3b24 2940706 libavcodec53_0.8~beta2-1_amd64.deb
 e3297af57bdde2b9c88ba908f1b1644877fccc1d 65336 libavdevice53_0.8~beta2-1_amd64.deb
 6c6c6cf7511c36ec4ad49f1d2f9152e298dc2641 517654 libavformat53_0.8~beta2-1_amd64.deb
 742c01571e7a909c23cac58266da7450b806dc37 116902 libavfilter2_0.8~beta2-1_amd64.deb
 6a3b50ef0258f395aca011ab0308ca186908976e 99422 libpostproc52_0.8~beta2-1_amd64.deb
 b4761f256fd11c180fb320683da7870e6c4016f2 127700 libswscale2_0.8~beta2-1_amd64.deb
 75f9015b619e441728d9de9bd3c5866f6d9f851e 145670 libavutil-dev_0.8~beta2-1_amd64.deb
 d02f2113b6f3849a5518827d158f5d7ddda499b1 3445470 libavcodec-dev_0.8~beta2-1_amd64.deb
 091e067b6fed78365717ed068808e747e928fd74 68246 libavdevice-dev_0.8~beta2-1_amd64.deb
 043015e907044a1ccfc071d21bbc60b49e02ddf3 697146 libavformat-dev_0.8~beta2-1_amd64.deb
 aaa4c8733c1e7f93c08ed2801b72540ee157bf78 148442 libavfilter-dev_0.8~beta2-1_amd64.deb
 4f1307c232622cecb06d26bf97b233cd37db18c6 100104 libpostproc-dev_0.8~beta2-1_amd64.deb
 205ff5639f91a4d25091b4bc92ed27fe5567ddd0 149450 libswscale-dev_0.8~beta2-1_amd64.deb
Checksums-Sha256: 
 a1f2199cb46249bd8ddbc6a2561cf00856d09a49bc2336e437d72f291b8f682f 3065 libav_0.8~beta2-1.dsc
 461a03dd6335ea9ae2c7a1ec80588718af183cda03b44153fdc960683a3e6ec2 5430888 libav_0.8~beta2.orig.tar.gz
 afeecc26de43d160042bbf57553895977819b21381271e8e32ea9781b907c78a 35781 libav_0.8~beta2-1.debian.tar.gz
 34ded3566974dcc5c20c606117104f73e7155cdd647471f1108bb45accb195cf 646636 libav-tools_0.8~beta2-1_amd64.deb
 b4222e1b93b925057ba5f2f9e25027dfd704e9c3c4b35804da31619f1de2480d 37892 ffmpeg_0.8~beta2-1_all.deb
 f3e9f48a1d7fb5ee4d13fb2f74f1c78d647932708735d3b95010204d6b9e950b 37964 ffmpeg-dbg_0.8~beta2-1_amd64.deb
 683ed6a8e0cd45e2bdf52db5555dbd7a51dd1858fb882f997aa835ee50c9b63c 9963088 libav-dbg_0.8~beta2-1_amd64.deb
 1b45be94e78dc9299eece197e494ddcf69bb8c253924fc7e5412df501541b219 27359424 libav-source_0.8~beta2-1_all.deb
 a68a1e7a37f53da15995409618a43e811482740749a5bf7c33fc3f12a330809c 37930 ffmpeg-doc_0.8~beta2-1_all.deb
 30b2befe6107ba082aee222476ca48ca52750a79dbdca97da20d9fb11ab31a7c 21635254 libav-doc_0.8~beta2-1_all.deb
 8f626d02c2d0993684ab075db8e03695c01f8d925df84f52bfe245be5d93c35e 95250 libavutil51_0.8~beta2-1_amd64.deb
 48169501ed5a70faa5dad19250bb51f160c4d8de34f84881e459125d2aa52084 2940706 libavcodec53_0.8~beta2-1_amd64.deb
 4203384df45c6350e55e8257e12794c46e227a5b70f3574614611e5beef1a2af 65336 libavdevice53_0.8~beta2-1_amd64.deb
 dc6c2863cb6f293b07d2effc3e2c874ee242b1391cb1755bc947ed7ef2fb1924 517654 libavformat53_0.8~beta2-1_amd64.deb
 c6e9fda0d6487545cac83cca89173480d7d3d9d9f4d2248b5df44c3f13ee38fa 116902 libavfilter2_0.8~beta2-1_amd64.deb
 d806a8a2b77a7d0747c8daec066c8a7d481ba8315cfba4989f6cbe773de4c4e2 99422 libpostproc52_0.8~beta2-1_amd64.deb
 49419ca9dc40ab45707ac5c0a6c6f40b0e745e55da5ff1d9f9a9ec5759dffbc4 127700 libswscale2_0.8~beta2-1_amd64.deb
 aed94eba41b475576a09d4d4905ddf21efeb4e4f310fba1dd1c9b9b56e57f544 145670 libavutil-dev_0.8~beta2-1_amd64.deb
 8a1098f723f5469a501a8e379d12f851bf0f0900f6f89941c09d7e2c296a8a93 3445470 libavcodec-dev_0.8~beta2-1_amd64.deb
 be2e5683d113b20fd5b4305aaf883de3833ad3dbe1166a179bf36f81de20ef8b 68246 libavdevice-dev_0.8~beta2-1_amd64.deb
 bbb19292f81a623859af9c9f05c9fdb2de4ccda36927f6208d4b35840160f40b 697146 libavformat-dev_0.8~beta2-1_amd64.deb
 79f2405fe13af47efbd05828657ae336e0b4fc4a9e078859a1df61b8716ce653 148442 libavfilter-dev_0.8~beta2-1_amd64.deb
 8cb4a2592acad8a55dac7cddfc194e8f88e91d3eadb047102a1616a4a625f252 100104 libpostproc-dev_0.8~beta2-1_amd64.deb
 aec21c0e9bc665f882c1f165ac039ec96c6e351d7a02ed1cb54bb4b848336fb8 149450 libswscale-dev_0.8~beta2-1_amd64.deb
Files: 
 1dbe34bb179825616731dbe0c9059e56 3065 libs optional libav_0.8~beta2-1.dsc
 50d91a2a3cc6f959ae17db85e134098a 5430888 libs optional libav_0.8~beta2.orig.tar.gz
 b7a2620e208572d4268f7a2603aed858 35781 libs optional libav_0.8~beta2-1.debian.tar.gz
 66d859065d455addeede5c0dc9d32f7f 646636 video optional libav-tools_0.8~beta2-1_amd64.deb
 3b6ec6860b8692740a59606e7a265a17 37892 video optional ffmpeg_0.8~beta2-1_all.deb
 518d0d54b39dab993354cee3409109d5 37964 debug extra ffmpeg-dbg_0.8~beta2-1_amd64.deb
 662d197b4d13ee3e95cf26aee6f8849c 9963088 debug extra libav-dbg_0.8~beta2-1_amd64.deb
 5995d6062406bb05592c07882bcd5e4b 27359424 devel optional libav-source_0.8~beta2-1_all.deb
 b53282b4e239f4f7215c56065c582d62 37930 doc optional ffmpeg-doc_0.8~beta2-1_all.deb
 b374e443e14b91a78a447c420cadbd66 21635254 doc optional libav-doc_0.8~beta2-1_all.deb
 f2d7fd5375b025865712d8fc85e44c83 95250 libs optional libavutil51_0.8~beta2-1_amd64.deb
 20393b85bcf2bdf731927c3bcbb115e0 2940706 libs optional libavcodec53_0.8~beta2-1_amd64.deb
 f6eac4acec830f3a0983aa763c06e123 65336 libs optional libavdevice53_0.8~beta2-1_amd64.deb
 450b607f3e78865cbc78e7eedd6ca410 517654 libs optional libavformat53_0.8~beta2-1_amd64.deb
 c0264edb7a3c0914af8a10287220c8d5 116902 libs optional libavfilter2_0.8~beta2-1_amd64.deb
 aeb557b2b2c7a2bdb5cde0d757cb307f 99422 libs optional libpostproc52_0.8~beta2-1_amd64.deb
 d2cb3a5ce601e961c9bdd69e40b38f6f 127700 libs optional libswscale2_0.8~beta2-1_amd64.deb
 63e4d04ddf4b09f68daadd69a192b414 145670 libdevel optional libavutil-dev_0.8~beta2-1_amd64.deb
 0ad3b9345ab597f9c07ceab3a4f1abf4 3445470 libdevel optional libavcodec-dev_0.8~beta2-1_amd64.deb
 f5ac0c08a203c6d46a96f8a17c998821 68246 libdevel optional libavdevice-dev_0.8~beta2-1_amd64.deb
 1a6d0bba1f5e00f6135866daacd4aac7 697146 libdevel optional libavformat-dev_0.8~beta2-1_amd64.deb
 fd46e674bb460ac4ea6aefaba04131a7 148442 libdevel optional libavfilter-dev_0.8~beta2-1_amd64.deb
 7c3099c544807cd703bd6233d28c7754 100104 libdevel optional libpostproc-dev_0.8~beta2-1_amd64.deb
 c6d42a2dbcc5daecf17ff8f92397ec64 149450 libdevel optional libswscale-dev_0.8~beta2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk8NtGAACgkQmAg1RJRTSKQ60gCeJMyBe4n7kRMgGn4kba46Ckme
qAIAn30A0GCAOK9X3klolYjAeD5tnTR0
=APQR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Feb 2012 07:35:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:27:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.